Returns CSAT summary metrics for the current organization over the selected period.
/api/csat/analyticsReturns CSAT summary metrics for the current organization over the selected period. The response includes average score, total responses, response rate, score distribution, per-operator averages, and a daily trend. The period query defaults to 30d and accepts 7d, 30d, or 90d.
Bearer API key or X-API-Key header.csat:readautomation_api)Query parameter. Period. Allowed values: 7d, 30d, 90d.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"averageScore": 4.25,
"totalResponses": 12,
"responseRate": 60,
"scoreDistribution": {
"1": 0,
"2": 1,
"3": 2,
"4": 4,
"5": 5
},
"operatorPerformance": [
{
"operatorId": "66666666-6666-4666-8666-666666666666",
"averageScore": 4.5,
"totalResponses": 4
}
],
"trend": [
{
"date": "2026-06-23",
"averageScore": 4.25,
"totalResponses": 12
}
]
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/csat/analytics' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/csat/analytics", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?